/*
 * dummy.cpp
 *
 *  Created on: 22 Sep 2023
 *      Author: Dario
 */

#include <tasks/dummy.hpp>
#include <sta/debug/debug.hpp>

#include <cmsis_os2.h>


namespace demo
{
	DummyTask::DummyTask(const char* name)
		: TacosThread(name, osPriorityNormal)
	{

	}

	DummyTask::~DummyTask(){}

	void DummyTask::init()
	{
		STA_DEBUG_PRINTLN("Initialized dummy task!");
	}

	void DummyTask::func()
	{
		STA_DEBUG_PRINT("Executing ");
		STA_DEBUG_PRINTLN(this->getName());
	}
}  // namespace demo


